%{?nodejs_find_provides_and_requires}
%global packagename is-builtin-module
%global enable_tests 0
Name:           nodejs-is-builtin-module
Version:        3.1.0
Release:        1
Summary:        Check if a string matches the name of a Node.js builtin module
License:        MIT
URL:            https://github.com/sindresorhus/is-builtin-module
Source0:        https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:        https://raw.githubusercontent.com/sindresorhus/is-builtin-module/v%{version}/test.js
ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch
BuildRequires: 	nodejs-packaging
%if 0%{?enable_tests}
%endif
Requires:       nodejs
%description
Check if a string matches the name of a Node.js builtin module

%prep
%autosetup -n package -p1
cp -p %{SOURCE1} .

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{__nodejs} test.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jun 30 2022 baizhonggui <baizhonggui@h-partners.com> - 3.1.0-1
- update to 3.1.0

* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 1.0.0-1
- Package init
